# Need python 2.7+
%if 0%{?fedora} || 0%{?rhel} >= 7
%bcond_without python2
%else
%bcond_with python2
%endif

%global srcname ipython_genutils

Name:           python-%{srcname}
Version:        0.1.0
Release:        8%{?dist}
Summary:        IPython vestigial utilities

License:        BSD
URL:            https://github.com/ipython/%{srcname}
Source0:        https://pypi.python.org/packages/source/i/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
This package is a stop-gap that contains some common utilities shared by
Jupyter and IPython projects during The Big Split™. As soon as possible,
those packages will remove their dependency on this, and this repo will go
away.

No functionality should be added to this repository, and no packages outside
IPython/Jupyter should depend on it.


%if %{with python2}
%package -n python2-%{srcname}
Summary:        IPython vestigial utilities
BuildRequires:  python2-devel
# For tests
BuildRequires:  python-nose
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
This package is a stop-gap that contains some common utilities shared by
Jupyter and IPython projects during The Big Split™. As soon as possible,
those packages will remove their dependency on this, and this repo will go
away.

No functionality should be added to this repository, and no packages outside
IPython/Jupyter should depend on it.
%endif


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        IPython vestigial utilities
BuildRequires:  python%{python3_pkgversion}-devel
# For tests
BuildRequires:  python%{python3_pkgversion}-nose
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
This package is a stop-gap that contains some common utilities shared by
Jupyter and IPython projects during The Big Split™. As soon as possible,
those packages will remove their dependency on this, and this repo will go
away.

No functionality should be added to this repository, and no packages outside
IPython/Jupyter should depend on it.


%prep
%setup -q -n %{srcname}-%{version}


%build
%if %{with python2}
%py2_build
%endif
%py3_build


%install
%if %{with python2}
%py2_install
%endif
%py3_install


%check
export LANG=en_US.UTF-8
%if %{with python2}
nosetests-%{python2_version} -v
%endif
nosetests-%{python3_version} -v

 
%if %{with python2}
%files -n python2-%{srcname}
%doc README.md
%license COPYING.md
%{python2_sitelib}/*
%endif

%files -n python%{python3_pkgversion}-%{srcname}
%doc README.md
%license COPYING.md
%{python3_sitelib}/*


%changelog
* Fri Mar 08 2019 Troy Dawson <tdawson@redhat.com> - 0.1.0-8
- Rebuilt to change main python from 3.4 to 3.6

* Fri Oct 14 2016 Orion Poplawski <orion@cora.nwra.com> - 0.1.0-7
- No python2 package for EPEL6 (needs python 2.7)

* Thu Oct 13 2016 Orion Poplawski <orion@cora.nwra.com> - 0.1.0-7
- Properly ship python2-ipython_genutils

* Thu Oct 13 2016 Orion Poplawski <orion@cora.nwra.com> - 0.1.0-6
- Enable python3 builds for EPEL
- Ship python2-ipython_genutils
- Modernize spec

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Sat Jul 11 2015 Orion Poplawski <orion@cora.nwra.com> - 0.1.0-2
- Use nosetests

* Fri Jul 10 2015 Orion Poplawski <orion@cora.nwra.com> - 0.1.0-1
- Initial package
